
@import url("reset.css");
@import url("fonts.css");
@import url("utilities.css");

:root {
  --black: #000000;
  --white: #FFFFFF;
  --dark: #2C2C2C;
  --light: #EDEDED;
  --grey-dark: #282828;
  --grey-light: #6F6F6F;
  --purple: #914EFF;
}

::selection {
  background-color: var(--black); 
  color: var(--purple); 
}
::-moz-selection {
  background-color: var(--black); 
  color: var(--purple); 
}

::-webkit-scrollbar {
  width: 12px;
}
::-webkit-scrollbar-track {
  background: var(--light); 
}
::-webkit-scrollbar-thumb {
  background: var(--black); 
}

html {
  scroll-behavior: smooth;
}

body {
  width: 100%;
  height: 100%;
  min-height: 100%;
  background: var(--light);
  color: var(--white);
  font-family: 'Titillium Web', sans-serif;
  font-weight: 400;
  font-size: 20px;
  line-height: 27px;
  letter-spacing: 1%;
}

@media(max-width: 1025px) {
  body {
    font-size: 18px;
    line-height: 150%;
  }
}

section, 
footer {
  overflow: hidden;
  position: relative;
}

section::after,
footer::after {
  content: '';
  background-image: url('../img/decoration-texture-grain.webp');
  background-repeat: repeat;
  background-size: contain;
  opacity: 0.2;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

button:hover {
  cursor: pointer;
}

.main {
  overflow: hidden;
}

.header.is-desktop {
  display: block;
}

.header.is-mobile {
  display: none;
}

.header {
  position: fixed;
  z-index: 9;
  width: 100%;
  background: linear-gradient(180deg, rgba(222, 222, 222, 0.22) 0%, rgba(222, 222, 222, 0) 100%, rgba(222, 222, 222, 0) 100%);
  backdrop-filter: blur(13.5px);
  padding: 24px 0;
}

.header__logo {
  width: 168px;
  height: auto;
}

.header__nav ul {
  display: flex;
  flex-direction: row;
  gap: 40px
}

@media(max-width: 1025px) {
  .header.is-desktop {
    display: none;
  }

  .header.is-mobile {
    display: block;
  }

  .header {
    padding: 16px 0;
  }

  .header a,
  .header button {
    z-index: 9;
  }

  .header__logo {
    width: 41px;
    height: 31px;
  }
  
  .header__icon {
    width: 28px;
    height: 28px;
  }

  .header__btn.is-close {
    display: none;
  }

  .header__nav {
    position: fixed;
    top: -100vh;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background: black;
    transition: top 0.2s ease;
  }

  .header__nav.is-active {
    top: 0;
  }

  .header__nav ul {
    flex-direction: column;
    align-items: center;
  }
}

.hero {
  background: var(--black);
}

.hero:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  background: rgba(0,0,0,.2);
}

.hero__video {
  position: absolute;
  top: 0;
  right: 0;
  min-width: 100%; 
  min-height: 100%;
}

.hero__text {
  max-width: 420px;
  margin-bottom: 100px;
}

.hero__title {
  font-size: 65px;
  line-height: 120%;
  font-weight: 600;
  margin-bottom: 6px;
}

.hero__cta {
  display: flex;
  gap: 24px;
}

.hero__partners {
  display: flex;
  justify-content: space-between;
  gap: 40px;
  opacity: 0.5;
}

.hero__partners img {
  height: 40px;
  width: auto;
}

@media(max-width: 1025px) {
  .hero__content {
    height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .hero__title {
    font-size: 30px;
  }

  .hero__cta {
    gap: 15px;
    justify-content: space-between;
  }

  .hero__cta .u-btn {
    width: 48%;
  }
}

.about__title {
  max-width: 420px;
}

.about__decoration {
  z-index: -1;
  position: absolute;
  top: -20vh;
  left: -36vw;
}

@media(max-width: 1025px) {
  .about__title {
    margin-bottom: 60px;
  }

  .about__decoration {
    max-width: initial;
    width: 100vh;
    height: 100vh;
    left: -50vh;
    transform: rotate(-42deg);
  }
}

@media(min-width: 1600px) {
  .about__decoration {
    left: -30vw;
  }
}

.flow {
  width: 520px;
  height: 400px;
  position: relative;
}

.flow__item {
  width: 130px;
  position: absolute;
}

.flow__item.is-artists {
  left: 0;
  top: 0;
}

.flow__item.is-clients {
  width: 120px;
  right: 0;
  bottom: 0;
}

.flow__item-img {
  margin-bottom: 24px;
}

.flow__item-title {
  color: var(--black);
  margin-bottom: 16px;
}

.flow__item-text {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  white-space: pre;
}

.flow__logo {
  width: 134px;
  height: 143px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
}

.flow__connect-line {
  width: 110px;
  height: 68px;
  position: absolute;
}

.flow__connect-line.is-left {
  left: 120px;
  top: 40px;
}

.flow__connect-line.is-right {
  right: 140px;
  bottom: 60px;
  transform: rotate(180deg);
}

@media(max-width: 1025px) {
  .flow {
    height: 480px;
  }

  .flow__item.is-clients {
    width: 100px;
  }

  .flow__item-title {
    margin-bottom: 12px;
  }

  .flow__item-text {
    gap: 6px;
  }

  .flow__connect-line {
    width: 130px;
    height: 100px;
    position: absolute;
  }

  .flow__connect-line.is-left {
    left: 88px;
    top: 35px;
    transform: rotate(30deg);
  }

  .flow__connect-line.is-right {
    right: 83px;
    bottom: 50px;
    transform: rotate(208deg);
  }
}

.jobs {
  z-index: 2;
}

.jobs__item {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.jobs__item.is-architecture {
  background-image: url('../img/job-architecture.webp');
}

.jobs__item.is-design {
  background-image: url('../img/job-design.webp');
}

.jobs__item.is-gaming {
  background-image: url('../img/job-gaming.webp');
}

@media(max-width: 1025px) {
  .jobs__item.is-gaming {
    background-position-x: 65%;
  }
}

.community {
  overflow: unset;
  z-index: 1;
}

.community__decoration {
  z-index: -1;
  position: absolute;
  left: -60vh;
  top: -20vh;
  top: -30vh;
  transform: rotate(-42deg);
}

.community__title {
  max-width: 540px;
  margin-bottom: 60px;
}

.community__items {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 100px;
}

.community__item {
  width: 200px;
}

.community__item-img {
  height: 118px;
  width: auto;
  margin-bottom: 8px;
}

.community__item-title {
  color: var(--grey-dark);
  margin-bottom: 16px;
}

.community__item-text {
  color: var(--grey-light);
}


@media(max-width: 1025px) {
  .community__items {
    margin-bottom: 0;
    gap: 40px 0;
  }

  .community__item {
    width: 48%;
  }

  .community__decoration {
    max-width: initial;
    width: 100vh;
    height: 100vh;
    top: -20vh;
    left: -45vh;
    transform: rotate(-42deg);
  }
}

@media(min-width: 1600px) {
  .community__decoration {
    left: -40vh;
  }
}

.hubs__title {
  text-align: center;
  color: var(--grey-dark);
  margin: 60px 0;
}

.hubs__items {
  display: flex;
}

.hubs__item {
  width: 100%;
  height: 100vh;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
}

.hubs__item.is-sofia {
  background-image: url('../img/hubs-sofia.webp');
}

.hubs__item.is-milan {
  background-image: url('../img/hubs-milan.webp');
}

.hubs__item.is-stockholm {
  background-image: url('../img/hubs-stockholm.webp');
}

.hubs__item-text {
  position: absolute;
  bottom: 24px;
  left: 24px;
}

@media(max-width: 1025px) {
  .hubs__title {
    margin: 24px 0;
    padding: 0 2px;
  }

  .hubs__items {
    flex-wrap: wrap;
  }

  .hubs__item {
    height: 40vh;
  }
}

@media(min-width: 1600px) {
  .hubs__item {
    height: 80vh;
  }
}

.community-cta {
  background-image: url('../img/background-community.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.community-cta__content {
  max-width: 420px;
}

.community-cta__content-title {
  margin-bottom: 16px;
  text-transform: capitalize;
}

.community-cta__content-text {
  margin-bottom: 32px;
}

@media(max-width: 1025px) {
  .community-cta {
    background-position: 84%;
  }  
}

.why__decoration {
  z-index: -1;
  position: absolute;
  left: -100vh;
  top: -20vh;
  top: -30vh;
}

.why__title {
  margin-bottom: 8px;
}

.why__text {
  margin-bottom: 100px;
}

.why__items {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.why__item {
  width: 200px;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.why__item-img {
  height: 118px;
  width: auto;
  margin-bottom: 24px;
}

.why__item-title {
  color: var(--grey-dark);
  margin-bottom: 16px;
}

@media(max-width: 1025px) {
  .why {
    overflow: visible;
    z-index: 1;
  }

  .why__text  {
    margin-bottom: 60px;
  }

  .why__items {
    gap: 40px 0;
  }

  .why__item {
    width: 46%;
  }

  .why__decoration {
    max-width: initial;
    width: 120vh;
    height: 120vh;
    top: -40vh;
    left: -65vh;
    transform: rotate(-30deg);
  }
}

@media(min-width: 1600px) {
  .why__decoration {
    left: -70vh;
    transform: rotate(-42deg);
  }
}

.expertise__items {
  display: flex;
  flex-wrap: wrap;
}

.expertise__item {
  width: 25%;
  height: 100vh;
  position: relative;
  z-index: 1;
  transition: all 0.2s ease;
}

.expertise__item.is-highlighted {
  width: 50%;
}

.expertise__item-img {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.expertise__item-text {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 24px;
  background: linear-gradient(179.62deg, rgba(33, 33, 33, 0) 0.33%, #212121 119.5%);
}

.expertise__item-subtitle {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.expertise__item-cta {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-top: 8px;
}

@media(max-width: 1025px) {
  .expertise__item {
    width: 100% !important;
    height: 30vh;
  }

  .expertise__item.is-highlighted {
    height: 60vh;
  }

  .expertise__item-text {
    background: linear-gradient(180.47deg, rgba(33, 33, 33, 0) 25.91%, #212121 96.06%);
  }

  .expertise__item-img {
    object-position: 0 90%;
  }
}

@media(min-width: 1600px) {
  .expertise__item {
    height: 80vh;
  }
}

.footer {
  background-image: url('../img/background-gradient-red-blue.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.footer__contacts {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 100px;
}

.schedule-meeting {
  max-width: 410px;
}

.schedule-meeting__title {
  margin-bottom: 32px;
}

.schedule-meeting__text {
  margin-bottom: 64px;
}

.contact-details {
  padding-top: 150px;
  width: 280px;
}

.contact-details__title {
  margin-bottom: 32px;
}

.contact-details__btn {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 16px;
}

.footer__nav {
  max-width: 580px;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 128px;
  display: flex;
  justify-content: center;
  gap: 12%;
}

.footer__nav-list {
  display: flex;
  justify-content: space-between;
  gap: 16px;
}

.footer__nav-list.is-left {
  width: 50%;
}

.footer__nav-list.is-right {
  width: 35%;
}

.footer__nav-list li {
  position: relative;
}

.footer__nav-sublist {
  min-width: 100px;
  position: absolute;
  top: 32px;
  left: 0;
}

.footer__nav-sublist li {
  margin-bottom: 8px;
}

.footer__logo{
  height: 24px;
  width: auto;
  display: block;
  margin: 0 auto;
  margin-bottom: 32px;
}

.footer__copyright{
  font-size: 12px;
  line-height: 20px;
  text-align: center;
}

@media(max-width: 1025px) {
  .schedule-meeting {
    max-width: 340px;
  }
 
  .schedule-meeting__title {
    margin-bottom: 16px;
  }

  .schedule-meeting__text {
    margin-bottom: 24px;
  }

  .contact-details {
    padding-top: 80px;
    margin-left: 60px;
  }

  .footer__contacts {
    margin-bottom: 60px;
  }

  .footer__nav {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 48px;
    padding-left: 60px;
  }

  .footer__nav-list {
    flex-direction: column;
  }

  .footer__nav-list.is-left,
  .footer__nav-list.is-right {
    width: auto;
  }
}